--[[

Emoticon fonts for agent-based modelling
These code uses the "Emoticon" font
Download and install the font from 
http://www.dafont.com

Please respect IPR license as included below

]]--
local emoticons = {}
emoticons = {
    SMILE               =  65,
    NEUTRAL             =  67,
    HAPPY               =  68,
    SAD                 =  73,
    ANGRY               =  87
}

return emoticons
--[[

Open Font License

Emoticon font © George Edward Purdy. All Rights Reserved. No Purdy Design font may be  altered or redisributed without the express permission of George Edward Purdy.

By purchasing Purdy Fonts, you (person/sole proprietor or corporate entity) are agreeing  to be bound by the terms of this Agreement. This Agreement constitutes the complete  agreement between you and Purdy Designô. 

Purdy Design does not offer any  fonts using the GPL or any other commonly used public license. Purdy Fonts are all the copyrighted intellectual property of Purdy Designô, and are therefore restricted by the terms set by Purdy Design.

The fonts currently covered by this license include Emoticons, Emoticons Outline, Cartoonist Kooky, ROBO, and Cyberspace. These open fonts are freely available for non-commercial purposes. 

Some examples of non-commercial purposes would include:

*Making a poster, t-shirt, banner, or other graphics for yourself, your family, or your friends, not to be sold commercially or used in any form of commercial advertising

*Educational purposes such as the materials used by a teacher in a classroom

*Flyers to promote a free event or charity

*Inclusion in a free game that is not available in a commercial form

Some examples of commercial uses that would require payment for a commercial license:

*Making a poster, t-shirt, or other item for sale

*Making a book, educational or otherwise, that is sold commercially

*Making a comic book, game, toothpaste labeling, cereal box, or any other commercial product.

*In an advertising campaign for a product or business

These fonts are freely redistributable, but with the following restrictions:

1. You may not include these fonts in a commercially available font collection, nor may you sell them or licenses to use them individually or as a collection without a paid commercial contract granting permission to do so from George Edward Purdy, Purdy Design.

2. You may not offer the font(s) on a web site unless you clarify that these fonts are not "free" if they are used for commercial purposes.

3. You may not offer the font(s) on a web site unless you include the current, updated license information with the font.

4. You may not offer the font(s) on a web site unless you also feature a link to the creator's web site, http://purdydesign.com and give credit for the creation of the font(s).

5. You may not offer the font(s) with alternate names. For example, Cartoonist Kooky is not to be renamed Cartoonist Kookie or Cartoonish Kooky. You must maintain the correct titles for the fonts or you are prohibited from using them.

6. You may not alter, reprocess, or re-create the font(s) in any way. Some have embedding restrictions built into them. Removal of these restrictions is a violation of the agreement allowing you to use these fonts.

7. You may not give credit to anyone other than George Edward Purdy or Purdy Design for the creation of the font(s).

8. You may not offer the font(s) in a collection or package of any kind, including an archive file.

9. If your web site is built on advertising revenue, you must pay for the use of the font(s) included in any advertising, titles, or other displays for your web site. This does not include simple font samples meant to accompany a download location for the font(s).

10. You must not mislead any person(s) to believe that these fonts are free and/or without restrictions or copyright ownership. You must make it clear that these fonts are offered for non-commercial use only, and commercial use requires a licensing fee.

No guarantees are offered as to the suitability or usability of the font(s) in any way, real or implied.

Purdy Design is a trademark of George Edward Purdy. All Rights Reserved.

]]--

